import { EndSessionRequest, AuthenticationResult, PopupRequest, RedirectRequest, SilentRequest, Logger, SsoSilentRequest } from "@azure/msal-browser";
import { Observable } from "rxjs";
export interface IMsalService {
    initialize(): Observable<void>;
    acquireTokenPopup(request: PopupRequest): Observable<AuthenticationResult>;
    acquireTokenRedirect(request: RedirectRequest): Observable<void>;
    acquireTokenSilent(silentRequest: SilentRequest): Observable<AuthenticationResult>;
    handleRedirectObservable(): Observable<AuthenticationResult | null>;
    loginPopup(request?: PopupRequest): Observable<AuthenticationResult>;
    loginRedirect(request?: RedirectRequest): Observable<void>;
    logout(logoutRequest?: EndSessionRequest): Observable<void>;
    logoutRedirect(logoutRequest?: EndSessionRequest): Observable<void>;
    logoutPopup(logoutRequest?: EndSessionRequest): Observable<void>;
    ssoSilent(request: SsoSilentRequest): Observable<AuthenticationResult>;
    getLogger(): Logger;
    setLogger(logger: Logger): void;
}
